## getpath 1.1

=== Makefile ===
#
# Makefile for getpath
# Yes, it's gnu-make specific.
#


CC=gcc
CFLAGS=-I/usr/include -O2 -Wall
LDLIBS=

BASE=/usr
VERSION=1.1

CFLAGS+=-DVERSION=\"$(VERSION)\"
DISTDIR=getpath-$(VERSION)


all: getpath

getpath: getpath.o

install: getpath
	install -c -s -m 0555 getpath $(BASE)/bin/getpath
	install -c -m 0444 getpath.8 $(BASE)/man/man8/getpath.8
	[ -f /etc/getpath.conf ] || install -c -m 0644 getpath.conf /etc/getpath.conf

depend:
	makedepend -- $(CFLAGS) -- *.c

clean:
	rm -rf *.o *.bak *~

distclean: clean
	rm -rf getpath-[0-9].[0-9]* getpath

distlist: distclean
DISTLIST=$(shell find $(PWD) -mindepth 1 -maxdepth 1)

distdir: distlist
	mkdir $(DISTDIR)
	cp -a $(DISTLIST) $(DISTDIR)

dist: distdir
	tar chozf $(DISTDIR).tar.gz $(DISTDIR)
	rm -rf $(DISTDIR)

=== debian/changelog ===
getpath (1.1) unstable; urgency=low

  * Updated my e-mail and rebuilt the binaries.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Wed,  5 Jan 2011 13:30:13 -0800

getpath (1.0) unstable; urgency=low

  * Added the initial debian control files to the getpath package.

 -- Jacob Luna Lundberg <jacob@chaos2.org>  Thu, 30 Aug 2001 01:36:35 -0700

=== debian/control ===
Source: getpath
Section: base
Priority: optional
Maintainer: Jacob Luna Lundberg <jacob@gnifty.net>
Standards-Version: 3.9.1

Package: getpath
Architecture: any
Section: base
Priority: optional
Depends: debconf
Description: Simple path management tool
 The purpose of getpath is to make it easier for users and administrators
 to set up their environment PATH variables.  Defaults and user specific
 settings are moved from login shell scripts to conf files.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for getpath
#

SHELL	= /bin/bash

pkg	= getpath
tmp	= $(shell pwd)/debian/tmp

build:	$(checkdir)
	make
	touch build

clean:	checkroot
	make distclean || echo "\nWARNING -- ignoring 'make clean' error\n"
	rm -f build debian/files debian/substvars
	rm -rf $(tmp)

binary:	build checkroot
	#
	# dir structure
	-rm -rf $(tmp)
	install -o root -g root -m 755 -d $(tmp)
	install -o root -g root -m 755 -d $(tmp)/{DEBIAN,etc,usr}
	install -o root -g root -m 755 -d $(tmp)/usr/{bin,share}
	install -o root -g root -m 755 -d $(tmp)/usr/share/{doc,man}
	install -o root -g root -m 755 -d $(tmp)/usr/share/doc/$(pkg)
	install -o root -g root -m 755 -d $(tmp)/usr/share/man/man8
	#
	# binary
	install -o root -g root -m 755 -s getpath	$(tmp)/usr/bin/getpath
	#
	# documentation
	install -o root -g root -m 644 getpath.8	$(tmp)/usr/share/man/man8/getpath.8
	gzip -9f $(tmp)/usr/share/man/man8/getpath.8
	install -o root -g root -m 644 debian/changelog	$(tmp)/usr/share/doc/$(pkg)/changelog.Debian
	install -o root -g root -m 644 README*		$(tmp)/usr/share/doc/$(pkg)
	gzip -9f $(tmp)/usr/share/doc/$(pkg)/*
	install -o root -g root -m 644 debian/copyright	$(tmp)/usr/share/doc/$(pkg)
	#
	# configuration
	#install -o root -g root -m 644 getpath.conf	$(tmp)/etc/getpath.conf.new
	install -o root -g root -m 644 getpath.conf	$(tmp)/etc/getpath.conf
	#
	# debian
	install -o root -g root -m 644 debian/templates	$(tmp)/DEBIAN/templates
	install -o root -g root -m 755 debian/config	$(tmp)/DEBIAN/config
	#install -o root -g root -m 755 debian/preinst	$(tmp)/DEBIAN/preinst
	install -o root -g root -m 755 debian/postinst	$(tmp)/DEBIAN/postinst
	install -o root -g root -m 755 debian/prerm	$(tmp)/DEBIAN/prerm
	install -o root -g root -m 755 debian/postrm	$(tmp)/DEBIAN/postrm
	install -o root -g root -m 644 debian/conffiles	$(tmp)/DEBIAN/conffiles
	dpkg-gencontrol -isp -p$(pkg) -P$(tmp)
	dpkg --build $(tmp) ..
	rm -rf $(tmp)

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary clean checkroot
